Bug 970188 - Segfault when advancing to next song
Summary: Segfault when advancing to next song
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
(Show other bugs)
Version: 19
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-03 15:58 UTC by Nathanael Noblet
Modified: 2015-02-17 15:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 15:26:19 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb bt (5.47 KB, text/plain)
2013-06-03 15:59 UTC, Nathanael Noblet
no flags Details
bt full (15.13 KB, text/plain)
2013-06-03 16:00 UTC, Nathanael Noblet
no flags Details
thread apply all bt full (35.64 KB, text/plain)
2013-06-03 16:02 UTC, Nathanael Noblet
no flags Details

Description Nathanael Noblet 2013-06-03 15:58:40 UTC
Description of problem:
I updated to F19 from F18 via fedup. Rhythmbox fails to play more than one song without crashing. It starts the first song and if I let it complete or if I tell it next song manually it segfaults.. based on the bt it could be gstreamer related but I thought I would start here as totem has no problems advancing between videos.

Version-Release number of selected component (if applicable):
rhythmbox-2.99.1-1.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open rhythmbox
2. Play a playlist
3. Click 'Next'

Actual results:
Segfault

Expected results:
Next song is played

Additional info:

Comment 1 Nathanael Noblet 2013-06-03 15:59:29 UTC
Created attachment 756399 [details]
gdb bt

Comment 2 Nathanael Noblet 2013-06-03 16:00:42 UTC
Created attachment 756400 [details]
bt full

Comment 3 Nathanael Noblet 2013-06-03 16:02:46 UTC
Created attachment 756401 [details]
thread apply all bt full

Comment 4 Nathanael Noblet 2013-06-03 20:39:11 UTC
I've just installed F19 from scratch to a separate drive. Added 3 songs to rhythmbox and it played between them without a problem. So I'm not sure what the issue is with the exact same machine but that has been continuously updated instead... Feel free to close this if you don't think there is a real bug as I am transitioning to the newly installed version anyway.

Comment 5 Alastair Neil 2013-06-10 19:26:12 UTC
I see virtually identical behaviour when playing downloaded podcasts.  The first one plays fine but if I click on an other file after that it crashes.

This is also a fedup'd 18->19 system.

Comment 6 Fedora End Of Life 2015-01-09 18:18:47 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-02-17 15:26:19 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.